"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const childProcess = require("child_process");
function ensurePrerequisites() {
    return __awaiter(this, void 0, void 0, function* () {
        // See if basho exists.
        try {
            const result = childProcess.execSync("basho -v");
        }
        catch (ex) {
            console.log("Install basho first with 'npm i -g basho'.");
            console.log("See https://github.com/jeswin/basho");
            process.exit();
        }
    });
}
exports.default = ensurePrerequisites;
//# sourceMappingURL=ensurePrerequisites.js.map