"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function printErrorsAndExit(ex, projName) {
    if (ex.output) {
        for (const errorMessage of ex.output) {
            if (errorMessage) {
                console.log(errorMessage.toString().trim());
            }
        }
        console.log(`Aborted due to errors while building ${projName}.`);
        process.exit();
    }
}
exports.default = printErrorsAndExit;
//# sourceMappingURL=printErrorsAndExit.js.map